Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015415
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2010-12-14 09:582011-03-01 00:00
ReporteriperdomoView Statuspublic 
Assigned Tomirurita 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revisiondbaf69b70b06
ProjectionnoneETAnoneTarget Version3.0RC4
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_22
OS Version2.6.35-gentoo-r12Database version8.3.12Ant version1.7.1
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015415: Fix JSLint warnings in FIN_Utilities.js

DescriptionAll the JavaScript code included in the 3.0 modules should pass JSLint without warnings.
Steps To Reproduce* Run jslint in FIN_Utilities.js e.g.

~/workspace/src/openbravo/pi/modules/org.openbravo.advpaymentmngt $ jslint ./web/org.openbravo.advpaymentmngt/FIN_Utilities.js
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:47:15:'i' is already defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:59:49:['inpRecordId0'] is better written in dot notation.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:62:7:Expected '{' and instead saw 'outstandingAmount'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:71:36:'scheduledPaymentDetailId' is already defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:72:29:'outstandingAmount' is already defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:74:9:Expected '{' and instead saw 'outstandingAmount'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:85:21:'j' is already defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:103:21:'updateTotal' was used before it was defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:108:4:Mixed spaces and tabs.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:113:49:['inpRecordId0'] is better written in dot notation.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:119:7:Expected '{' and instead saw 'initialize_MessageBox'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:121:7:Expected '{' and instead saw 'total'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:125:36:'scheduledPaymentDetailId' is already defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:126:25:'pendingAmount' is already defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:127:18:'amount' is already defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:131:9:Expected '{' and instead saw 'initialize_MessageBox'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:133:9:Expected '{' and instead saw 'total'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:141:9:Expected '{' and instead saw 'frm'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:143:9:Expected '{' and instead saw 'frm'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:147:4:Mixed spaces and tabs.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:147:9:Expected '{' and instead saw 'frm'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:153:26:'updateDifference' was used before it was defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:156:5:Expected '{' and instead saw 'expected'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:160:28:Use '!==' to compare with 'null'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:161:5:Expected '{' and instead saw 'amount'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:163:5:Expected '{' and instead saw 'amount'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:165:5:Expected '{' and instead saw 'frm'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:167:5:Expected '{' and instead saw 'frm'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:169:5:Expected '{' and instead saw 'frm'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:178:5:Expected '{' and instead saw 'selectDifferenceAction'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:180:5:Expected '{' and instead saw 'selectDifferenceAction'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:183:32:'selectDifferenceAction' was used before it was defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:192:12:Use '===' to compare with 'null'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:192:21:Expected '{' and instead saw 'mark'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:208:14:Expected '{' and instead saw 'frm'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:208:27:['inpAllLines'] is better written in dot notation.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:215:13:Expected '{' and instead saw 'return'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:219:2:Mixed spaces and tabs.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:220:2:Mixed spaces and tabs.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:228:2:Mixed spaces and tabs.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:228:28:'recordAmount' is already defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:229:2:Mixed spaces and tabs.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:243:21:'applyFormat' was used before it was defined.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:261:26:Use '===' to compare with 'null'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:261:63:Expected '{' and instead saw 'result_maskNumeric'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:262:20:Use '===' to compare with 'null'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:262:51:Expected '{' and instead saw 'decSeparator'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:263:22:Use '===' to compare with 'null'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:263:55:Expected '{' and instead saw 'groupSeparator'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:264:21:Use '===' to compare with 'null'.
jslint:./web/org.openbravo.advpaymentmngt/FIN_Utilities.js:264:21:Too many errors. (53% scanned)
Proposed Solution* Fix the warnings/errors
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00154763.0RC4 closedmirurita Fix JSLint warnings in FIN_Utilities.js 

-  Notes
(0033269)
hgbot (developer)
2010-12-17 12:21

Repository: erp/devel/pi
Changeset: dbaf69b70b064c6aab6d10be7b5841d1724a6272
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Fri Dec 17 12:20:13 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/dbaf69b70b064c6aab6d10be7b5841d1724a6272 [^]

Fixes issue 15415: Fix JSLint warnings in FIN_Utilities.js

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/FIN_Utilities.js
---
(0033456)
hudsonbot (developer)
2010-12-30 13:14

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/dbaf69b70b06 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/7d7e5eebcc62 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.19448.obx [^]
(0034434)
iperdomo (developer)
2011-02-28 16:57

Tested on pi @ rev 51b506b878ed

- Issue History
Date Modified Username Field Change
2010-12-14 09:58 iperdomo New Issue
2010-12-14 09:58 iperdomo Assigned To => mirurita
2010-12-14 09:58 iperdomo Modules => Advanced Payables and Receivables Mngmt
2010-12-17 12:18 mirurita Status new => scheduled
2010-12-17 12:18 mirurita fix_in_branch => pi
2010-12-17 12:21 hgbot Checkin
2010-12-17 12:21 hgbot Note Added: 0033269
2010-12-17 12:21 hgbot Status scheduled => resolved
2010-12-17 12:21 hgbot Resolution open => fixed
2010-12-17 12:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dbaf69b70b064c6aab6d10be7b5841d1724a6272 [^]
2010-12-30 13:14 hudsonbot Checkin
2010-12-30 13:14 hudsonbot Note Added: 0033456
2011-02-28 16:57 iperdomo Note Added: 0034434
2011-02-28 16:57 iperdomo Status resolved => closed
2011-03-01 00:00 anonymous sf_bug_id 0 => 3195599


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker